unit mRikaTypesAndConsts;

{$mode objfpc}{$H+}

interface

type

  TRikaVersion = record
    MajorVersion,
    MinorVersion: Integer;
  end;

  TRikaHit = record
    Points,
    Divisor,         // in 1/1000mm vom Scheibenmittelpunkt
    DeltaX,          // in 1/100mm vom Scheibenmittelpunkt
    DeltaY: Integer; // in 1/100mm vom Scheibenmittelpunkt
  end;

  TRikaDataSet = record
    RikaSerialNumber,
    RikaBusAddress,
    ManualCode: Integer;
    TargetIdent: String;
    DivisorFactor: Integer;
    HitQuantity: Integer;
    Hits: Array of TRikaHit;
  end;

const

  // Steuerzeichen
  NUL = $00;
  SOH = $01;
  EOT = $04;
  ACK = $06;
  BS  = $08;
  FF  = $0C;
  CR  = #13; // $0D
  SYN = $16;
  ESC = $1B;

  DISCONNECT = $D0;
  CON_SINGLE = $D1;
  CON_SER10  = $D2;
  CON_TOTAL  = $D3;
  CON_SER5   = $D4;
  CON_REST   = $D5;


  // TimeOuts
  GlobalTimeOut = 1000; // in Millisekunden


  // Meldungen
  WarningActiveQuery                    = 'Es ist bereits eine aktive Abfrage-Verbindung vorhanden!';
  WarningNoActiveQuery                  = 'Es besteht noch keine Verbindung zum Gerät!';
  AskToCloseActiveConnectionAndOpenNew  = 'Soll diese beendet und eine neue Verbindung aufgebaut werden?';

implementation

end.

